////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.battleship.notification;

import pp.battleship.model.Item;
import pp.battleship.model.ShipMap;

/**
 * Event when an item is added to a map.
 *
 * @param item the added item
 * @param map  the map that got the additional item
 */
public record ItemAddedEvent(Item item, ShipMap map) implements GameEvent {
    /**
     * Notifies the game event listener of this event.
     *
     * @param listener the game event listener
     */
    @Override
    public void notifyListener(GameEventListener listener) {
        listener.receivedEvent(this);
    }
}
